UNIT DSPTypes; {Copyright 1992 Paul Milenkovic ALL RIGHTS RESERVED}

INTERFACE

CONST
    mcoef    =  256;
    mcoef_m1 =  255;
    mmcoef   = -256;
    mcoefv2  =  128;
    mchol    =  100; {mchol < mcoef to save space}

    mbuf     = 1024;
    mbuf_m1  = 1023;

TYPE
    coef_v0  = ARRAY [0 .. mcoef] OF SINGLE;   {Coefficient vector starting
                                                at element 0}

    cov_matrix = ARRAY [0 .. mchol, 0 .. mchol] OF SINGLE;

    sig_buffer = ARRAY [mmcoef .. mbuf_m1] OF SINGLE;


IMPLEMENTATION

END.
